Bug 497989 - ATI driver crashes multiple times on R500
ATI driver crashes multiple times on R500
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 05:58 EDT by Trever Adams
Modified: 2018-04-11 08:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 14:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log from crash (62.46 KB, text/plain)
2009-04-28 06:00 EDT, Trever Adams
no flags Details

  None (edit)
Description Trever Adams 2009-04-28 05:58:55 EDT
pub_91c3db16-81e9-4a88-84b0-ebbdd652fbe7

For about 4 weeks now I have been having crashes between GDM and gnome. It will crash for at least 1 login, some times infinite. If I have two VT sessions logged in it seems to always stop at 1-2 times.

Related or not, I now have a color problem where entry boxes are black (hence the odd bug report) and the text on the desktop (nautilus) is extra black and bold.

My smold id is above.

Kernel version is kernel-2.6.29.1-102.fc11.x86_64
Xorg version is xorg-x11-drv-ati.x86_64 6.12.2-6.fc11  

Everything is up to date from rawhide as of 3:58 AM MDT April 28, 2009.
Comment 1 Trever Adams 2009-04-28 06:00:37 EDT
Created attachment 341547 [details]
X log from crash

I do not know if this log will be helpful, but here it is.
Comment 2 François Cami 2009-05-06 06:41:15 EDT
Hi Trever,

Does this happen with the latest builds from koji :

http://koji.fedoraproject.org/koji/buildinfo?buildID=100998
http://koji.fedoraproject.org/koji/buildinfo?buildID=100995
http://koji.fedoraproject.org/koji/buildinfo?buildID=100894

If it still does, please add /var/log/messages (add drm.debug=1 to your kernel command line) and /var/log/Xorg.log as uncompressed text/plain attachments to this bug.

Thank you.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Trever Adams 2009-05-13 09:21:53 EDT
It is getting better with new mesa, kernel and xorg stuff. I still see it from time to time. I am still trying to get a log. Sorry for the delay.
Comment 4 Trever Adams 2009-05-15 10:55:40 EDT
I have only been able to duplicate it once in the last 5 days. I unfortunately didn't have the debugging turned on. Please, be patient, it may be fixed.
Comment 5 Matěj Cepl 2009-05-15 11:17:14 EDT
Nice!

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e9d26]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47de1f]
2: /lib64/libc.so.6 [0x3c26633570]
3: /usr/lib64/dri/r300_dri.so(radeonDestroyBuffer+0x36) [0x7fbcf29d6af1]
4: /usr/lib64/dri/r300_dri.so(radeonDestroyContext+0xdf) [0x7fbcf29f907e]
5: /usr/lib64/dri/r300_dri.so [0x7fbcf29d0d7c]
6: /usr/lib64/xorg/modules/extensions//libglx.so [0x7fbcf4397c99]
7: /usr/lib64/xorg/modules/extensions//libglx.so(__glXFreeContext+0x6c) [0x7fbcf438d83c]
8: /usr/lib64/xorg/modules/extensions//libglx.so [0x7fbcf438dbcb]
9: /usr/bin/Xorg(CallCallbacks+0x4c) [0x44b6ec]
10: /usr/bin/Xorg(CloseDownClient+0x58) [0x441ec8]
11: /usr/bin/Xorg(Dispatch+0x210) [0x447040]
12: /usr/bin/Xorg(main+0x3c5) [0x42d0e5]
13: /lib64/libc.so.6(__libc_start_main+0xfd) [0x3c2661e83d]
14: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting
Comment 6 Bug Zapper 2009-06-09 10:41:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Trever Adams 2009-06-12 13:16:16 EDT
I am still not able to duplicate. This may be fixed.
Comment 8 François Cami 2009-06-12 14:28:01 EDT
Trever,

Thanks for keeping us informed. I am going to close this bug, please reopen if you manage to reproduce the problem.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.